import request from '@/utils/request'

// 查询书籍信息列表
export function listInfo(query) {
  return request({
    url: '/book/info/list',
    method: 'get',
    params: query
  })
}

// 查询书籍信息详细
export function getInfo(id) {
  return request({
    url: '/book/info/' + id,
    method: 'get'
  })
}

// 新增书籍信息
export function addInfo(data) {
  return request({
    url: '/book/info',
    method: 'post',
    data: data
  })
}

// 修改书籍信息
export function updateInfo(data) {
  return request({
    url: '/book/info',
    method: 'put',
    data: data
  })
}

// 删除书籍信息
export function delInfo(id) {
  return request({
    url: '/book/info/' + id,
    method: 'delete'
  })
}
